---
title: 'Window: messageerror event'
slug: Web/API/Window/messageerror_event
tags:
  - API
  - Event
  - MessageEvent
  - Reference
  - Window
---
<div>{{APIRef}}</div>

<p>The <code>messageerror</code> event is fired on a {{domxref('Window')}} object when it receives a message that can't be deserialized.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("MessageEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("WindowEventHandlers/onmessageerror", "onmessageerror")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>Listen for <code>messageerror</code> using {{domxref("EventTarget/addEventListener", "addEventListener()")}}:</p>

<pre class="brush: js">window.addEventListener('messageerror', (event) =&gt; {
    console.error(event);
});</pre>

<p>The same, but using the {{domxref("WindowEventHandlers/onmessageerror", "onmessageerror")}} event handler property:</p>

<pre class="brush: js">window.onmessageerror = (event) =&gt; {
    console.error(event);
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'indices.html#event-messageerror')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.messageerror_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Window.postMessage()")}}</li>
 <li>Related events: {{domxref("Window/message_event", "message")}}.</li>
</ul>
